- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Private Member Functions | List of all members
libepubgen::EPUBPagedGenerator::Impl Class Reference
Inheritance diagram for libepubgen::EPUBPagedGenerator::Impl:

## Public Member Functions
| Impl (EPUBPackage *const package, EPUBSplitMethod method)
Public Member Functions inherited from libepubgen::EPUBGenerator
| EPUBGenerator (EPUBPackage *package, EPUBSplitMethod method)
virtual | ~EPUBGenerator ()
void | startDocument (const librevenge::RVNGPropertyList &props)
void | endDocument ()
void | setDocumentMetaData (const librevenge::RVNGPropertyList &props)
void | startNewHtmlFile ()
const EPUBHTMLGeneratorPtr_t & | getHtml () const
const EPUBSplitGuard & | getSplitGuard () const
EPUBSplitGuard & | getSplitGuard ()

## Public Attributes
bool | m_firstPage

## Private Member Functions
| Impl (const Impl &)
Impl & | operator= (const Impl &)
void | startHtmlFile ()
void | endHtmlFile ()

## Constructor & Destructor Documentation

libepubgen::EPUBPagedGenerator::Impl::Impl | ( | const Impl & |  | ) |
| private

libepubgen::EPUBPagedGenerator::Impl::Impl | ( | EPUBPackage *const | package,
|  | EPUBSplitMethod | method
| ) |  |

## Member Function Documentation

void libepubgen::EPUBPagedGenerator::Impl::endHtmlFile | ( |  | ) |
| private virtual

Implements libepubgen::EPUBGenerator.

Impl& libepubgen::EPUBPagedGenerator::Impl::operator= | ( | const Impl & |  | ) |
| private

void libepubgen::EPUBPagedGenerator::Impl::startHtmlFile | ( |  | ) |
| private virtual

Implements libepubgen::EPUBGenerator.

## Member Data Documentation

bool libepubgen::EPUBPagedGenerator::Impl::m_firstPage

The documentation for this class was generated from the following file:

- EPUBPagedGenerator.cpp